Page MenuHomePhabricator

querycache qc_type and qc_title have different nullabality on s1 only
Closed, ResolvedPublic

Description

This showed up only on s1 and nowhere else:

"querycache qc_title field-nullable-mismatch": {
    "s1": [
        "db2112:enwiki",
        "db2103:enwiki",
        "db2130:enwiki",
        "db2092:enwiki",
        "db2071:enwiki",
        "db2116:enwiki",
        "db2072:enwiki"
    ]
},
"querycache qc_type field-nullable-mismatch": {
    "s1": [
        "db2112:enwiki",
        "db2103:enwiki",
        "db2130:enwiki",
        "db2092:enwiki",
        "db2071:enwiki",
        "db2116:enwiki",
        "db2072:enwiki"
    ]
},

Progress:

  • eqiad
  • codfw

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2020, 12:23 PM
LSobanski triaged this task as Medium priority.Oct 13 2020, 12:29 PM
LSobanski moved this task from Triage to Ready on the DBA board.
LSobanski added a subscriber: LSobanski.

@Ladsgroup from what I can see, they need to be:

`qc_type` varbinary(32) NOT NULL,
`qc_title` varbinary(255) NOT NULL DEFAULT '',

And they are the following everywhere within s1 (eqiad+codfw):

`qc_type` varbinary(32) DEFAULT NULL,
`qc_title` varbinary(255) DEFAULT NULL,

Cool!

Thanks.

Marostegui changed the task status from Open to Stalled.Oct 13 2020, 12:59 PM
Marostegui updated the task description. (Show Details)
Marostegui moved this task from Ready to Blocked on the DBA board.

I have deployed the change on eqiad, I will do codfw once it is back as standby

Marostegui changed the task status from Stalled to Open.Oct 28 2020, 11:21 AM
Marostegui moved this task from Blocked to In progress on the DBA board.Oct 29 2020, 6:18 AM

Self note, this is the alter I executed and need to happen on eqiad:

alter table querycache change qc_type qc_type varbinary(32) NOT NULL, change qc_title qc_title varbinary(255) NOT NULL DEFAULT '';

Mentioned in SAL (#wikimedia-operations) [2020-11-03T06:46:35Z] <marostegui> Deploy schema change on s1 codfw master: T265349

Marostegui closed this task as Resolved.Tue, Nov 3, 6:47 AM

This is all done

Marostegui updated the task description. (Show Details)Tue, Nov 3, 6:48 AM